@echo off
if exist cfg\ladykill.cfg move cfg\ladykill.cfg cfg\ladykill.bak
if exist hi\ladykill.hi move hi\ladykill.hi hi\ladykill.bak
if exist nvram\ladykill.nv move nvram\ladykill.nv nvram\ladykill.bak
if exist diff\ladykill.dif move diff\ladykill.dif diff\ladykill.bak

mame ladykill -record ladykill.inp %3 %4 %5 %6 %7 %8 %9 -nvram_directory NUL

if exist cfg\ladykill.bak move cfg\ladykill.bak cfg\ladykill.cfg
if exist hi\ladykill.bak move hi\ladykill.bak hi\ladykill.hi
if exist nvram\ladykill.bak move nvram\ladykill.bak nvram\ladykill.nv
if exist diff\ladykill.bak move diff\ladykill.bak diff\ladykill.dif
